      parameter(np=9,nlo=360,nla=180)      

      dimension vp(np,nla,nlo),vs(np,nla,nlo),rho(np,nla,nlo)
      dimension bnd(np,nla,nlo)
        
      OPEN(1,file='outcr')
      rewind 1
      open(51,file='crust1.vp')
      open(52,file='crust1.vs')
      open(53,file='crust1.rho')
      open(54,file='crust1.bnds')

      print*,' .... reading all maps ... ' 

      do j=1,nla
         do i=1,nlo
            read(51,*)(vp(k,j,i),k=1,np)
            read(52,*)(vs(k,j,i),k=1,np)
            read(53,*)(rho(k,j,i),k=1,np)
            read(54,*)(bnd(k,j,i),k=1,np)
         enddo
      enddo
      close(51)
      close(52)
      close(53)
      close(54)
 1    continue
      print*,'enter center lat, long of desired tile (q to quit)' 
      read(*,*,err=99)flat,flon
c make sure longitudes go from -180 to 180
      if(flon.gt.180.)flon=flon-360.
      if(flon.lt.-180.)flon=flon+360.

      ilat=90.-flat+1
      ilon=180.+flon+1
      print 102,'ilat,ilon,crustal type: ',ilat,ilon
 102  format(a,2i4)
      print*,'topography: ',bnd(1,ilat,ilon)
      print*,' layers: vp,vs,rho,top,bottom'
      REWIND 1
 103  format(5f7.2)
      do i=1,np-1
         print 103,vp(i,ilat,ilon),vs(i,ilat,ilon),rho(i,ilat,ilon),
     +          bnd(i  ,ilat,ilon) , BND(I+1,ILAT,ILON)
               TOP=BND(I  ,ILAT,ILON)
               BOT=BND(I+1,ILAT,ILON)
               THICK= ABS(BOT-TOP)
         IF(THICK.GT.0.0)THEN
            WRITE(1,*)THICK,
     1      VP(I,ILAT,ILON),VS(I,ILAT,ILON),RHO(I,ILAT,ILON)
         ENDIF
      enddo
      print 104,' pn,sn,rho-mantle: ',vp(9,ilat,ilon),
     +         vs(9,ilat,ilon),rho(9,ilat,ilon)
      WRITE(1,*)0.0,VP(9,ILAT,ILON),VS(9,ILAT,ILON),RHO(9,ILAT,ILON)
 104  format(a,3f7.2)
      goto 1
 99   continue
      close(1)
      end
